package de.lmu.ifi.pst.model;

public class Model {
	
	private Shift[]shifts = {new Shift(), new Shift(), new Shift(), new Shift(), new Shift()};
	private int index = 0;
	
	public void addShift(Shift shift){
		if(getIndex() < this.shifts.length){
			this.shifts[getIndex()] = shift;
			this.setIndex(this.getIndex() + 1);
		}
	}
	
	public void incrementIndex(){
		this.index = (index + 1) % 5;
	}
	
	public void addEmployee(String employee){
		Shift s = this.shifts[getIndex()];
		s.addEmployee(employee);
	}

	public Shift[] getShifts() {
		return shifts;
	}

	public void setShifts(Shift[] shifts) {
		this.shifts = shifts;
		this.setIndex(shifts.length);
	}

	public int getIndex() {
		return index;
	}

	public void setIndex(int index) {
		this.index = index;
	}

}
